<?php

$html_id = ct_get_element_id($settings);
$source = $widget->get_setting('source', '');
$orderby = $widget->get_setting('orderby', 'date');
$order = $widget->get_setting('order', 'desc');
$limit = $widget->get_setting('limit', 6);
$post_ids = $widget->get_setting('post_ids', '');
extract(ct_get_posts_of_grid('portfolio', [
    'source' => $source,
    'orderby' => $orderby,
    'order' => $order,
    'limit' => $limit,
    'post_ids' => $post_ids,
]));

$widget->add_render_attribute( 'inner', [
    'class' => 'ct-carousel-inner',
] );

$col_xs = $widget->get_setting('col_xs', '');
$col_sm = $widget->get_setting('col_sm', '');
$col_md = $widget->get_setting('col_md', '');
$col_lg = $widget->get_setting('col_lg', '');
$col_xl = $widget->get_setting('col_xl', '');
$slides_to_scroll = $widget->get_setting('slides_to_scroll', '');

$arrows = $widget->get_setting('arrows');
$dots = $widget->get_setting('dots');
$pause_on_hover = $widget->get_setting('pause_on_hover');
$autoplay = $widget->get_setting('autoplay');
$autoplay_speed = $widget->get_setting('autoplay_speed', '5000');
$infinite = $widget->get_setting('infinite');
$speed = $widget->get_setting('speed', '500');
if (is_rtl()) {
    $carousel_dir = 'true';
} else {
    $carousel_dir = 'false';
}
$widget->add_render_attribute( 'carousel', [
    'class' => 'ct-slick-carousel',
    'data-arrows' => $arrows,
    'data-dots' => $dots,
    'data-pauseOnHover' => $pause_on_hover,
    'data-autoplay' => $autoplay,
    'data-autoplaySpeed' => $autoplay_speed,
    'data-infinite' => $infinite,
    'data-speed' => $speed,
    'data-colxs' => $col_xs,
    'data-colsm' => $col_sm,
    'data-colmd' => $col_md,
    'data-collg' => $col_lg,
    'data-colxl' => $col_xl,
    'data-dir' => $carousel_dir,
    'data-slidesToScroll' => $slides_to_scroll,
] );
?>
<?php if (is_array($posts)): ?>

<div id="<?php echo esc_attr($html_id) ?>" class="ct-portfolio-carousel1 ct-slick-slider">
    <div <?php ct_print_html($widget->get_render_attribute_string( 'inner' )); ?>>
        <div <?php ct_print_html($widget->get_render_attribute_string( 'carousel' )); ?>>
        <?php
            foreach ($posts as $post): 
                $portfolio_except = get_post_meta($post->ID, 'portfolio_except', true);
                $icon_type = get_post_meta($post->ID, 'icon_type', true);
                $portfolio_icon = get_post_meta($post->ID, 'portfolio_icon', true);
                $portfolio_icon_img = get_post_meta($post->ID, 'portfolio_icon_img', true);
            ?>
            <div class="carousel-item slick-slide">
                <div class="grid-item-inner">
                    <?php if($icon_type == 'icon' && !empty($portfolio_icon)) : ?>
                        <div class="item--icon"><i class="<?php echo esc_attr($portfolio_icon); ?>"></i></div>
                    <?php endif; ?>
                    <?php if($icon_type == 'image' && !empty($portfolio_icon_img['id'])) : 
                        $icon_img = ct_get_image_by_size( array(
                            'attach_id'  => $portfolio_icon_img['id'],
                            'thumb_size' => 'full',
                        ));
                        $icon_thumbnail = $icon_img['thumbnail']; ?>
                        <div class="item--icon">
                            <?php echo wp_kses_post($icon_thumbnail); ?>
                        </div>
                    <?php endif; ?>
                    <div class="item--holder">
                        <h3 class="item--title"><?php echo esc_attr(get_the_title($post->ID)); ?></h3>
                        <?php if(!empty($portfolio_except)): ?>
                            <div class="item--description">
                                <?php echo wp_trim_words( $portfolio_except, 100, $more = null ); ?>
                            </div>
                        <?php endif; ?>
                        <a href="<?php echo esc_url(get_permalink( $post->ID )); ?>" class="item-link"></a>
                    </div>
                        
                </div>
            </div>
        <?php endforeach; ?>
        </div>
    </div>
</div>
<?php endif; ?>